> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--organization/queries/get-global-roles.md).

# getGlobalRoles

Retrieves all available roles that can be assigned to users in the organization.

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
query GetGlobalRoles {
  getGlobalRoles {
    id
    name
    description
    displayName
  }
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "query GetGlobalRoles { getGlobalRoles { id name description displayName } }"
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'query GetGlobalRoles { getGlobalRoles { id name description displayName } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'query GetGlobalRoles { getGlobalRoles { id name description displayName } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Fields

Return type: [`[Role]`](/api-documentation/api-reference/api--organization/types/objects/role.md)

You can use the following field(s) to specify what information your `getGlobalRoles` query will return. Please note that some fields may have their own subfields.

| Field                | Description                                                | Supported fields |
| -------------------- | ---------------------------------------------------------- | ---------------- |
| id `String!`         | Unique identifier of the role                              |                  |
| name `String!`       | Auth0 name of the role                                     |                  |
| description `String` | Detailed description of the role's purpose and permissions |                  |
| displayName `String` | Human-readable name of the role                            |                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--organization/queries/get-global-roles.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
